Gets agent observability settings and the status of required services.
HTTP request
GET https://geminidataanalytics.googleapis.com/v1beta/{parent=projects/*/locations/*}:retrieveAgentOpsObservability
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The project and location for which to retrieve agent observability settings. Format: |
Query parameters
| Parameters | |
|---|---|
dataSourceType |
Required. The data source type for which to retrieve observability settings. The only supported value is |
Request body
The request body must be empty.
Response body
Response for locations.retrieveAgentOpsObservability.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "telemetryEnabled": boolean, "bigqueryEnabled": boolean, "cloudTraceEnabled": boolean, "cloudMonitoringEnabled": boolean, "cloudLoggingEnabled": boolean, "bqaaEnabled": boolean } |
| Fields | |
|---|---|
telemetryEnabled |
Output only. Whether agent observability telemetry is enabled. |
bigqueryEnabled |
Output only. Whether the BigQuery API is enabled. |
cloudTraceEnabled |
Output only. Whether the Cloud Trace API is enabled. |
cloudMonitoringEnabled |
Output only. Whether the Cloud Monitoring API is enabled. |
cloudLoggingEnabled |
Output only. Whether the Cloud Logging API is enabled. |
bqaaEnabled |
Output only. Whether BigQuery Agent Analytics is enabled. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.